log syslog all;

log "/mnt/storage/logs/bird.log" {debug, trace, info, remote, warning, error, auth, fatal, bug};

watchdog warning 5 s;

router id 11.0.0.103;

protocol kernel {
   scan time 2;
   ipv4 { export all; };
   merge paths on;
}

protocol kernel {
   scan time 2;
   ipv6 { export all; };
   merge paths on;
}

protocol device {
   scan time 2;
}

protocol bgp {
   local 192.168.10.1 as 1001;
   neighbor 192.168.10.2 as 1000;
   ipv4 {
	import table on;
	import none;
	export none;
   };
}

protocol bgp {
   local 192.168.20.1 as 2001;
   neighbor 192.168.20.2 as 2000;
   ipv4 {
	import table on;
	import none;
	export none;
   };
}

protocol bgp {
   local 192.168.30.1 as 3001;
   neighbor 192.168.30.2 as 3000;
   ipv4 {
	import table on;
	import none;
	export none;
   };
}

protocol bgp {
   local 192.168.40.1 as 4001;
   neighbor 192.168.40.2 as 4000;
   ipv4 {
	import table on;
	import all;
	export all;
   };
}

protocol bmp bmp_test {
    station address ip 172.25.165.18;
    station address port 5000;
    system description "Testing BMP";
    system name “hostname”;
    monitoring rib in pre_policy;
}

